%define class Mail
%define subclass SpamAssassin
%define version 2.20
%define release 1

# Derived values
%define real_name %{class}-%{subclass}
%define cname perl-%{real_name}

Summary:        User programs for Spam Assassin
Name: 		%{subclass}
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/Mail
License:        See documentation
Source: 	http://www.spamassassin.org/released/%{class}/%{real_name}-%{version}.tar.gz
Patch0:         %{real_name}-2.20-startup.patch
Patch1:         %{real_name}-2.20-findbin.patch
Url: 		http://www.spamassassin.org
Packager:       Michael McLagan <michael.mclagan@linux.org>
BuildArch:      i386
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
BuildRequires:	perl >= 5.6.1
Requires: 	perl >= 5.6.1 %{cname} = %{version} 
Prereq:         /sbin/chkconfig

%package -n %{cname}
Group:          Development/Perl
Summary:        Perl module %{class}::%{subclass}

%description
SpamAssassin provides you with a way to reduce if not completely eliminate
Unsolicited Commercial Email (SPAM) from your incoming email.  It can
be invoked by a MDA such as sendmail or postfix, or can be called from
a procmail script, .forward file, etc.  It uses a genetic-algorithm
evolved scoring system to identify messages which look spammy, then
adds headers to the message so they can be filtered by the user's mail
reading software.  This distribution includes the spamd/spamc components
which create a server that considerably speeds processing of mail.

%description -n %{cname}
The distribution provides Mail::SpamAssassin, a set of perl modules which
implement a Mail::Audit plugin, allowing SpamAssassin to be used in a
Mail::Audit filter, spam-protection proxy SMTP or POP/IMAP server, or a
variety of different spam-blocking scenarios.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1 

%build
%{__perl} Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS"

# Move this file so it doesn't conflict in the docs
mv spamproxy/README spamproxy/README.spamproxy

%install
rm -rf $RPM_BUILD_ROOT
eval `%{__perl} '-V:installprivlib'`
eval `%{__perl} '-V:installsitearch'`
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} \
             LOCAL_RULES_DIR=$RPM_BUILD_ROOT/etc/mail/spamassassin

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 spamd/redhat-rc-script.sh $RPM_BUILD_ROOT/etc/rc.d/init.d/spamd

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod"`
rm -rf `find $RPM_BUILD_ROOT -name ".packlist" -o -name "*.bs"`

# Remove all empty directories
for i in `find $RPM_BUILD_ROOT -type d | tac`; do
   if [ -d $i ]; then 
      rmdir --ign -p $i;
   fi
done

%post
/sbin/chkconfig --add spamd

%preun
/sbin/chkconfig --del spamd

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{real_name}-%{version}

%files
%defattr(-,root,root)
%doc Changes README TODO ninjabutton.png procmailrc.example sample-* contrib doc/spam* masses spamd/README* spamproxy/README*
%{_bindir}
%{_mandir}/man1/*
/etc/rc.d/init.d/spamd

%files -n %{cname}
%defattr(-,root,root)
%doc Changes README TODO doc/Mail*
%{_libdir}
%{_mandir}/man3/*
/usr/share/spamassassin/*
%config(noreplace) /etc/mail/spamassassin/local.cf

%changelog
* Tue Apr 30 2002 Michael McLagan <michael.mclagan@linux.org>
- Broke Mail::SpamAssassin into seperate package
  Removed migrate patch

* Fri Apr 19 2002 Theo Van Dinter <felicity@kluge.net>
- Updated for 2.20 release
- made /etc/mail/spamassassin a config directory so local.cf doesn't get wiped out
- added a patch to remove findbin stuff

* Wed Feb 27 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.1 release

* Sat Feb 02 2002 Theo Van Dinter <felicity@kluge.net>
- Updates for 2.01 release
- Fixed rc file
- RPM now buildable as non-root
- fixed post_service errors
- fixed provides to include perl modules
- use file find instead of manually specifying files

* Tue Jan 15 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.0 release

* Wed Dec 05 2001 Craig Hughes <craig@hughes-family.org>
- Updated for final 1.5 distribution.

* Sun Nov 18 2001 Craig Hughes <craig@hughes-family.org>
- first version of rpm.

